<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorksheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('worksheets', function (Blueprint $table) {
            $table->id();
            $table->integer('sign_number')->nullable();
            $table->text('availability_calendar')->nullable();
            $table->text('offline')->nullable();
            $table->string('name')->nullable();
            $table->string('town')->nullable();
            $table->string('address')->nullable();
            $table->string('neighborhood')->nullable();
            $table->string('sleeps')->nullable();
            $table->string('published')->nullable();
            $table->integer('photo_gallery')->nullable();
            $table->text('photo_gallery_file_names')->nullable();
            $table->string('thumbnail')->nullable();
            $table->string('matterport')->nullable();
            $table->text('description')->nullable();
            $table->string('latlng')->nullable();
            $table->string('youtube_video')->nullable();
            $table->string('agent')->nullable();
            $table->string('year_built')->nullable();
            $table->string('nightly_rates')->nullable();
            $table->string('weekly_percentage')->nullable();
            $table->string('monthly_percentage')->nullable();
            $table->string('show_nightly')->nullable();
            $table->string('show_weekly')->nullable();
            $table->string('show_monthly')->nullable();
            $table->integer('cleaning_fee')->nullable();
            $table->integer('security_deposit')->nullable();
            $table->string('per_unit')->nullable();
            $table->string('view_oceanfront')->nullable();
            $table->string('view_ocean')->nullable();
            $table->string('view_mountain')->nullable();
            $table->string('view_town')->nullable();
            $table->string('view_palm_grove')->nullable();
            $table->string('view_farmland')->nullable();
            $table->string('view_desert')->nullable();
            $table->string('lot_area')->nullable();
            $table->string('construction_area')->nullable();
            $table->string('oceanfront_meters')->nullable();
            $table->string('washer')->nullable();
            $table->string('dryer')->nullable();
            $table->string('pool')->nullable();
            $table->string('hot_tub')->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('half_bathrooms')->nullable();
            $table->string('phone')->nullable();
            $table->string('internet')->nullable();
            $table->string('garage_carport')->nullable();
            $table->string('casita')->nullable();
            $table->string('laundry_room')->nullable();
            $table->string('bodega')->nullable();
            $table->string('fenced')->nullable();
            $table->string('walled')->nullable();
            $table->string('palapa')->nullable();
            $table->string('covered_deck')->nullable();
            $table->string('rooftop_terrace')->nullable();
            $table->string('furnished')->nullable();
            $table->string('featured')->nullable();
            $table->string('bathroom_bathtub')->nullable();
            $table->string('bathroom_bidet')->nullable();
            $table->string('bathroom_body_soap')->nullable();
            $table->string('bathroom_cleaning_products')->nullable();
            $table->string('bathroom_conditioner')->nullable();
            $table->string('bathroom_hair_dryer')->nullable();
            $table->string('bathroom_hot_water')->nullable();
            $table->string('bathroom_outdoor_shower')->nullable();
            $table->string('bathroom_shampoo')->nullable();
            $table->string('bathroom_shower_gel')->nullable();
            $table->string('bedroom_laundry_essentials')->nullable();
            $table->string('bedroom_laundry_bed_linens')->nullable();
            $table->string('bedroom_laundry_clothing_storage')->nullable();
            $table->string('bedroom_laundry_extra_pillows_blankets')->nullable();
            $table->string('bedroom_laundry_hangers')->nullable();
            $table->string('bedroom_laundry_iron')->nullable();
            $table->string('bedroom_laundry_mosquito_net')->nullable();
            $table->string('bedroom_laundry_room_darkening_shades')->nullable();
            $table->string('bedroom_laundry_safe')->nullable();
            $table->string('entertainment_books_reading_material')->nullable();
            $table->string('entertainment_excercise_equipment')->nullable();
            $table->string('entertainment_game_console')->nullable();
            $table->string('entertainment_mini_golf')->nullable();
            $table->string('entertainment_piano')->nullable();
            $table->string('entertainment_pool_table')->nullable();
            $table->string('entertainment_sound_system')->nullable();
            $table->string('entertainment_tv')->nullable();
            $table->string('family_babysitter_recommendations')->nullable();
            $table->string('family_board_games')->nullable();
            $table->string('family_crib')->nullable();
            $table->string('family_high_chair')->nullable();
            $table->string('family_outlet_covers')->nullable();
            $table->string('family_pack_n_play_travel_crib')->nullable();
            $table->string('heating_cooling_ac')->nullable();
            $table->string('heating_cooling_ceiling_fan')->nullable();
            $table->string('heating_cooling_heating')->nullable();
            $table->string('heating_cooling_indoor_fireplace')->nullable();
            $table->string('heating_cooling_portable_fans')->nullable();
            $table->string('home_safety_carbon_monoxide_alarm')->nullable();
            $table->string('home_safety_fire_extinguisher')->nullable();
            $table->string('home_safety_first_aid_kit')->nullable();
            $table->string('home_safety_smoke_alarm')->nullable();
            $table->string('internet_and_office_dedicated_workspace')->nullable();
            $table->string('internet_and_office_wifi')->nullable();
            $table->string('kitchen_dining_baking_sheet')->nullable();
            $table->string('kitchen_dining_barbecue_utensils')->nullable();
            $table->string('kitchen_dining_blender')->nullable();
            $table->string('kitchen_dining_coffee')->nullable();
            $table->string('kitchen_dining_coffee_maker')->nullable();
            $table->string('kitchen_dining_cooking_basics')->nullable();
            $table->string('kitchen_dining_dining_table')->nullable();
            $table->string('kitchen_dining_dishes_silverware')->nullable();
            $table->string('kitchen_dining_dishwasher')->nullable();
            $table->string('kitchen_dining_freezer')->nullable();
            $table->string('kitchen_dining_hot_water_kettle')->nullable();
            $table->string('kitchen_dining_kitchen_space')->nullable();
            $table->string('kitchen_dining_kitchenette')->nullable();
            $table->string('kitchen_dining_microwave')->nullable();
            $table->string('kitchen_dining_mini_fridge')->nullable();
            $table->string('kitchen_dining_refrigerator')->nullable();
            $table->string('kitchen_dining_oven')->nullable();
            $table->string('kitchen_dining_rice_maker')->nullable();
            $table->string('kitchen_dining_stove')->nullable();
            $table->string('kitchen_dining_toaster')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('worksheets');
    }
}

