
// header color change on scroll
document.addEventListener('DOMContentLoaded', function() {
    const header = document.querySelector('header');
  
    window.addEventListener('scroll', function() {
        if (window.scrollY > window.innerHeight) {
            header.classList.add('scrolled');
        } else {
            header.classList.remove('scrolled');
        }
    });
  });


// nav drawer
document.addEventListener('DOMContentLoaded', function() {
    const hamburger = document.getElementById('hamburger');
    const sideDrawer = document.getElementById('sideDrawer');
    const body = document.body;

    hamburger.addEventListener('click', function() {
        sideDrawer.classList.toggle('open');
        body.classList.toggle('open');
    });

    // Close the side drawer when clicking on a link
    sideDrawer.querySelectorAll('a').forEach(anchor => {
        anchor.addEventListener('click', function() {
            closeSideDrawer();
        });
    });
});

// Global function to close the side drawer
function closeSideDrawer() {
    const sideDrawer = document.getElementById('sideDrawer');
    const body = document.body;
    sideDrawer.classList.remove('open');
    body.classList.remove('open');
}
  
  
  
//   let switcher = false;
//   // Function to handle the click event
//   function handleClick(e) {
//       e.preventDefault();
//       let navMobile = document.querySelector("nav .mobile");
//       let hamburgerDiv = document.querySelector("div.hamburger");
  
//       if (!switcher) {
//           navMobile.style.right = "0";
//           switcher = true;
//           hamburgerDiv.classList.add('rotate');
//           hamburgerDiv.innerHTML = '<i class="fa-light fa-times"></i>';
//       } else {
//           navMobile.style.right = "-200%";
//           switcher = false;
//           hamburgerDiv.classList.add('rotate-backwards');
//           hamburgerDiv.innerHTML = '<i class="fa-light fa-bars"></i>';
//       }
  
//       setTimeout(() => {
//           if (switcher) {
//               hamburgerDiv.classList.remove('rotate');
//           } else {
//               hamburgerDiv.classList.remove('rotate-backwards');
//           }
//       }, 100);
//   }
//   // Attach click event to hamburger
//   let hamburger = document.querySelector(".hamburger");
//   hamburger.addEventListener("click", handleClick);
//   // Attach click event to nav items excluding .external-link
//   let navItems = document.querySelectorAll("nav ul li a:not(.external-link)");
//   navItems.forEach(item => {
//       item.addEventListener("click", handleClick);
//   });



// smooth scrolling
document.addEventListener("DOMContentLoaded", function() {
    const navLinks = document.querySelectorAll('a:not(.external-link)');

    navLinks.forEach(function(link) {
        link.addEventListener('click', function(event) {
            if (this.hash !== "") {
                event.preventDefault();
                const hash = this.hash;
                const target = document.querySelector(hash);

                if (target) {
                    // Smooth scroll to the target element
                    target.scrollIntoView({ behavior: 'smooth', block: 'start' });

                    // Update URL without jumping
                    history.pushState(null, null, hash);
                }
            }
        });
    });
});



// animate on scroll
function animateOnScroll() {
    window.addEventListener('scroll', () => {
        const elements = document.querySelectorAll('.animated-element');

        elements.forEach(el => {
            const rect = el.getBoundingClientRect();
            const isInView = rect.top < window.innerHeight && rect.bottom > 0;
            const direction = el.classList.contains('enter-from-right') ? 'right' :
                              el.classList.contains('enter-from-left') ? 'left' : '';

            if (isInView) {
                el.classList.add('in-view');
                if (direction) {
                    el.classList.remove(`enter-from-${direction}`);
                }
            } else {
                el.classList.remove('in-view');
                if (direction) {
                    el.classList.add(`enter-from-${direction}`);
                }
            }
        });
    });
}
  // on document load
document.addEventListener('DOMContentLoaded', () => {
    animateOnScroll();
});


// GSAP
gsap.registerPlugin(ScrollTrigger);

const scrollContainer = document.querySelector(".horizontal-scroll-container");
const scrollContent = document.querySelector(".scroll-content");

gsap.to(scrollContent, {
    xPercent: -100 * (scrollContent.scrollWidth / window.innerWidth - 1),
    ease: "none",
    scrollTrigger: {
        trigger: scrollContainer,
        pin: true,
        scrub: 1,
        end: () => "+=" + scrollContent.scrollWidth,
    }
});
