// hero parallax
// document.addEventListener('scroll', function() {
//     const scrollPosition = window.scrollY;
//     document.querySelector('.sky').style.transform = `translateY(${scrollPosition * 1.1}px)`;
//     document.querySelector('.ocean').style.transform = `translateY(${scrollPosition * 0.7}px)`;
//     document.querySelector('.mountains').style.transform = `translateY(${scrollPosition * 0.4}px)`;
//     document.querySelector('.near').style.transform = `translateY(${scrollPosition * 0.1}px)`;
// });


// document.addEventListener('DOMContentLoaded', function() {
//     // Darken sky layer on scroll
//     window.addEventListener('scroll', function() {
//         const scrollPosition = window.scrollY;
//         const windowHeight = window.innerHeight;
//         const overlay = document.getElementById('skyOverlay');
//         const nav = document.getElementById('nav');

//         // Calculate the opacity based on scroll position
//         let opacity = scrollPosition / windowHeight;
//         if (opacity > 1) opacity = 1; // Cap the opacity at 1

//         overlay.style.background = `rgba(0, 10, 50, ${opacity})`;
//         // Ensure the nav has a minimum opacity of 0.3
//         let navOpacity = Math.max(opacity, 0.3);
//         nav.style.background = `rgba(51, 51, 51, ${navOpacity})`;

//         const heroCenter = document.getElementById('heroCenter');
//         const agent = document.getElementById('agent');

//         if (scrollPosition > windowHeight - 1) {
//             heroCenter.classList.add('hidden');
//             heroCenter.classList.remove('visible');
//             agent.classList.add('visible');
//             agent.classList.remove('hidden');
//         } else {
//             heroCenter.classList.add('visible');
//             heroCenter.classList.remove('hidden');
//             agent.classList.add('hidden');
//             agent.classList.remove('visible');
//         }
//     });
// });



document.addEventListener('DOMContentLoaded', function() {
    // Parallax effect
    document.addEventListener('scroll', function() {
        const scrollPosition = window.scrollY;
        document.querySelector('.sky').style.transform = `translateY(${scrollPosition * 1.1}px)`;
        document.querySelector('.ocean').style.transform = `translateY(${scrollPosition * 0.7}px)`;
        document.querySelector('.mountains').style.transform = `translateY(${scrollPosition * 0.4}px)`;
        document.querySelector('.near').style.transform = `translateY(${scrollPosition * 0.1}px)`;
    });

    // Darken sky layer on scroll and toggle visibility of elements
    window.addEventListener('scroll', function() {
        const scrollPosition = window.scrollY;
        const windowHeight = window.innerHeight;
        const overlay = document.getElementById('skyOverlay');
        const nav = document.getElementById('nav');

        // Calculate the opacity based on scroll position
        let opacity = scrollPosition / windowHeight;
        if (opacity > 1) opacity = 1; // Cap the opacity at 1

        overlay.style.background = `rgba(0, 10, 50, ${opacity})`;
        // Ensure the nav has a minimum opacity of 0.3
        let navOpacity = Math.max(opacity, 0.1);
        nav.style.background = `rgba(51, 51, 51, ${navOpacity})`;

        const heroCenter = document.getElementById('heroCenter');
        const agent = document.getElementById('agent');

        if (scrollPosition > windowHeight - 1) {
            heroCenter.classList.add('hidden');
            heroCenter.classList.remove('visible');
            agent.classList.add('visible');
            agent.classList.remove('hidden');
        } else {
            heroCenter.classList.add('visible');
            heroCenter.classList.remove('hidden');
            agent.classList.add('hidden');
            agent.classList.remove('visible');
        }
    });

    
    // Scroll snapping logic
    let isScrolling;
    let isInterfering = false;

    window.addEventListener('scroll', () => {
        clearTimeout(isScrolling);

        if (!isInterfering) {
            isScrolling = setTimeout(() => {
                const scrollPosition = window.scrollY;
                const windowHeight = window.innerHeight;

                // Check if scroll position is past half the hero section and within the hero section
                if (scrollPosition > windowHeight / 2 && scrollPosition < windowHeight * 1.2) {
                    isInterfering = true;
                    window.scrollTo({
                        top: windowHeight,
                        behavior: 'smooth'
                    });

                    // Allow normal scrolling after a brief delay
                    setTimeout(() => {
                        isInterfering = false;
                    }, 500);
                }
            }, 66); // Adjust debounce delay as necessary
        }
    });
});