<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $heading }}</title>
    <script src="https://kit.fontawesome.com/0532cd3179.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.0/gsap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.0/ScrollTrigger.min.js"></script>
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
</head>
<body>

    <header id="nav">
        <a href="/#hero" onclick="closeSideDrawer()" class="navbar-logo"><i class="fa-kit fa-rabnb-text"></i></a>
        <nav class="navbar">
            <x-navlinks></x-navlinks>
        </nav>
        <div class="hamburger" id="hamburger">
            <i class="fas fa-bars"></i>
        </div>
    </header>
    
    <div class="side-drawer" id="sideDrawer">
        <nav>
            <x-navlinks></x-navlinks>
        </nav>
    </div>


{{ $slot }}



@php
    $currentUrl = url()->current();
    $rootUrl = url('/');
    $isRoot = ($currentUrl == $rootUrl);
    $isIntegerPath = preg_match('/^\d+$/', request()->path());
    $showHeroScript = $isRoot || $isIntegerPath;
@endphp

@if ($showHeroScript)
    <script src="/js/hero.js"></script>
@endif

@if (request()->is('listings'))
    <script src="https://unpkg.com/leaflet/dist/leaflet.js"></script>
    <script src="public/js/listings.js"></script>
@endif

<script src="{{ asset('js/app.js') }}"></script>
</body>
</html>