
<x-layout>

    <x-slot:heading>
        Home page
    </x-slot:heading>

        @php
            $hero_imgs = [
                [
                    'name' => 'sky',
                    'ext' => 'jpg'
                ],
                [
                    'name' => 'ocean',
                    'ext' => 'png'
                ],
                [
                    'name' => 'mountains',
                    'ext' => 'png'
                ],
                [
                    'name' => 'near',
                    'ext' => 'png'
                ]
            ];
        @endphp

    <section class="hero home-section" id="hero">
        <div class="parallax">

            @foreach ($hero_imgs as $img)

                <div class="layer {{ $img['name'] }}">
                    @if ($img['name'] === 'near')
                        <div class="overlay" id="skyOverlay"></div>
                    @endif

                    <picture>
                        <source srcset="/img/hero/{{ $img['name'] }}.webp" type="image/webp">
                        <img src="/img/hero/{{ $img['name'] }}.{{ $img['ext'] }}" alt="{{ ucfirst($img['name']) }}">
                    </picture>
                </div>
                    
            @endforeach
            
        </div>

        <div class="hero_center" id="heroCenter">
            @if (isset($message))
                <p>{{ $message }}</p>
            @elseif (isset($worksheetData))
                <div class="hero_home_img"><img src="{{ $first_image_path }}" alt="{{ $name }}"></div>
                <p>Welcome to</p>
                <h1>{{ $name }}</h1>
                <a href="#section1">Meet Your Host</a>
            @else
                <p>No id set</p>
            @endif
        </div>
    </section>


    <section class="home-section" id="section1">
        <div class="agent hidden" id="agent">
            @if (isset($message))
                <p>{{ $message }}</p>
            @elseif (isset($agent_name))
                <div class="hero_home_img"><img src="https://ricardoamigo.com/assets/img/staff/{{ $agent_photo }}" alt="{{ $agent_name }}"></div>
                <p>Hi, I'm</p>
                <h1>{{ $agent_name }}</h1>
                <strong>Your Host</strong>
                <p>I'm here to help you get aquainted with {{ $name }}, and answer any questions you may have to provide you with the best possible experience.</p>
                <p>Please feel free to reach out to me if you have any doubts or concerns.</p>
                <br><r>
                <a class="contact_info" href="tel:{{ $agent_whatsapp }}"><i class="fas fa-phone"></i></a>
                <a class="contact_info" href="mailto:{{ $agent_email }}" target="_blank"><i class="fas fa-envelope"></i></a>
                <a class="contact_info" href="https://wa.me/{{ $agent_whatsapp }}" target="_blank"><i class="fa-brands fa-whatsapp"></i></a>
            @else
                <p>No agent set</p>
            @endif
        </div>
        
    </section>

    <section class="home-section" id="section2">
        <div class="content">

            <div class="horizontal-scroll-container">
                <br><br><br><br><br><br><br><br>
                <h2>Adventure Guide</h2>

                <div class="scroll-content">

                    <div class="adventure">  
                        <h2>Adventure 1</h2>
                        <p>Description of adventure 1.</p>
                    </div>

                    <div class="adventure">
                        <h2>Adventure 2</h2>
                        <p>Description of adventure 2.</p>
                    </div>  

                    <div class="adventure">
                        <h2>Adventure 3</h2>
                        <p>Description of adventure 3.</p>
                    </div> 

                    <div class="adventure">
                        <h2>Adventure 4</h2>
                        <p>Description of adventure 4.</p>
                    </div> 

                </div>
            </div>  

        </div>
    </section>

    <section class="home-section" id="section3">
        <div class="content">
            <h2>Something 3</h2>
            <p>Content goes here.</p>
        </div>
    </section>

    <section class="home-section" id="section4">
        <div class="content">
            <h2>Something 4</h2>
            <p>Content goes here.</p>
        </div>
    </section>

    <section class="home-section" id="section5">
        <div class="content">
            <h2>Something 5</h2>
            <p>Content goes here.</p>
        </div>
    </section>


</x-layout>